Download it now!
Bug 129490 - Enter key no longer works in Insert Hyperlink dialog ( gen)
Summary: Enter key no longer works in Insert Hyperlink dialog ( gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0.2 target:6.3.5
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-12-19 09:47 UTC by Xisco Faulí
Modified: 2020-01-07 08:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-19 09:47:17 UTC
Steps to reproduce:
1. Open Writer
2. Ctrl + K
3. Type something
4. Press Enter Key

-> Nothing happens

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: fb1eac64df88baae9f211d052793773686c0e180
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-12-19 09:48:26 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7de9417d5f65d35227c7f80f6d587c2a56bde4e0

author	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-11-27 16:43:19 +0100
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-11-28 11:20:23 +0100
commit	7de9417d5f65d35227c7f80f6d587c2a56bde4e0 (patch)
tree	4ccdc3d281964fc616c54e8aefbfbe2ce3168f60
parent	255ee67072aefdd31265df1cc462821797ef76e5 (diff)
tdf#129043 Correctly deliver combo box events when used with keyboard

Bisected with: bibisect-linux64-6.5

Adding Cc: to Samuel Mehrbrodt
Comment 2 Commit Notification 2019-12-23 13:25:58 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/09c0dc8b80b91a4f2e7ad3569a59402ee131eaf4

tdf#129490 Fix enter key in combo box

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Samuel Mehrbrodt (CIB) 2019-12-23 13:39:21 UTC
Can you please test again? And maybe double check if bug 129043 remains fixed.
Once you can confirm that, I will also do the backports of this fix.
Comment 4 Xisco Faulí 2019-12-26 09:49:39 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #3)
> Can you please test again? And maybe double check if bug 129043 remains
> fixed.
> Once you can confirm that, I will also do the backports of this fix.

Yep, both issues are fixed in

Version: 6.5.0.0.alpha0+
Build ID: 1abfc8e2f677024ea058e96f3133e503ba89ea02
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Commit Notification 2019-12-27 19:50:14 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/3d4c6392071ce3df0b5fdcf45404e6ee781e4cce

tdf#129490 Fix enter key in combo box

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-01-07 08:37:53 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/8a542bd308a02083c26cc5be633b49b050ac3e92

tdf#129490 Fix enter key in combo box

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.